package ru.landgrafhomyak.db.serdha0.api.table

import kotlin.jvm.JvmName
import ru.landgrafhomyak.db.serdha0.api.misc.Column
import ru.landgrafhomyak.db.serdha0.api.misc.DatabaseType

public interface ForeignRowReference<ctUE : Any, ttUE : Any, RT, DT : DatabaseType<RT>> : Column<RT, DT, ctUE> {
	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("fromTable")
	public val fromTable: Table<ctUE, *>

	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("toTable")
	public val toTable: Table<ttUE, *>


	public enum class OnDelete {
		RESTRICT,

		SET_NULL,

		CASCADE
	}
}